POST/api/v2/vouchers/assignments/mass

POST /api/v2/vouchers/assignments/mass

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
Idempotency-Key (header)stringNo

Request body

application/json

Request body fields
FieldTypeRequiredDescription
VoucherIdstring (uuid)Yes
UserIdsarray of unknownNo
UserIdentifiersarray of stringNo
TierIdsarray of unknownNo
CardTypesarray of stringNo
TransactionTypesarray of stringNo
TransactionFromstring (date-time)No
TransactionTostring (date-time)No
MinimumCompletedTransactionVolumeunknownNo
TransactionCurrencystringNo

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
Idstring (uuid)Yes
KindstringYes
StatusstringYes
TotalItemsunknownYes
SuccessfulItemsunknownYes
FailedItemsunknownYes
CreatedAtstring (date-time)Yes
CompletedAtstring (date-time)Yes

Example request

curl -X POST "https://{base_url}/api/v2/vouchers/assignments/mass" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"VoucherId":"…"}'

This page is generated from the live OpenAPI specification and always matches the current API.